<main>
    <div class="wrap min">
        <#if is_index??>
            <section class="home-title">
                <h1>${blog_title!}</h1>
                <span>${user.description!}</span>
                <div class="home-social">
                    <#if settings.home_social?? && settings.home_social != ''>
                        ${settings.home_social!}
                    </#if> 
                </div>
            </section>
        </#if>
        <#if is_tag??>
          <section class="home-title">
            <h1>包含“${tag.name}”标签的文章</h1>
          </section>
        </#if>
        <#if is_category??>
          <section class="home-title">
            <h1>“${category.name}”分类下的文章</h1>
          </section>
        </#if>
        <#if is_search??>
          <section class="home-title">
            <h1>包含“${keyword!}”关键字的文章</h1>
          </section>
        </#if>
        <section class="home-posts">
            <#list posts.content as post>
                <div class="post-item">
                    <h2>
                        <a href="${post.fullPath!}">${post.title!}</a>
                    </h2>
                    <p>${post.summary!}</p>
                    <div class="post-meta">
                        <time class="date">
                            ${post.createTime?string('yyyy-MM-dd')!}
                        </time>
                        <span class="category">
                            <#list post.categories as category>
                                <a href="${category.fullPath!}" >
                                    ${category.name!}
                                </a>
                            </#list>
                        </span>
                        <span class="tags">
                            <#list post.tags as tag>
                                <a href="${tag.fullPath}" class="tag">${tag.name}</a>
                            </#list>
                        </span>
                        <span class="comments">
                            ${post.commentCount!}°C
                        </span>
                        <span class="visits">
                            ${post.visits!}
                        </span>
                    </div>
                </div>
            </#list>
        </section>
       <section class="page-navigator">
       <@paginationTag method="index"  slug="${slug!}" page="${posts.number}" total="${posts.totalPages}" display="3">
         <#-- <@paginationTag method="${method!}"  slug="${slug!}" page="${posts.number}" total="${posts.totalPages}" display="3">-->
            <#if pagination.hasPrev>
                <span class="prev">
                    <a  href="${pagination.prevPageFullPath!}" title="上一页">«</a>
                </span>
            </#if>
            <#list pagination.rainbowPages as number>
                <#if number.isCurrent>
                     <span class="current">
                        <a href="${number.fullPath!}">${number.page!}</a>
                   </span>
                <#else>
                     <span>
                        <a href="${number.fullPath!}">${number.page!}</a>
                    </span>
                </#if>
            </#list>
            <#if pagination.hasNext>
                <span class="next">
                    <a  href="${pagination.nextPageFullPath!}" title="下一页">»</a>
                </span>
            </#if>
    </@paginationTag>
</section>
    </div>
</main>